package cn.hmsoft.weixin.entity.response;

import java.util.List;

public class MaterialResponseJson extends WxResponseJson {

	private int total_count;
	private int item_count;
	private String media_id;
	private String file_name;
	private List<MaterialItem> item;

	public String getMedia_id() {
		return media_id;
	}

	public void setMedia_id(String media_id) {
		this.media_id = media_id;
	}

	public int getTotal_count() {
		return total_count;
	}

	public void setTotal_count(int total_count) {
		this.total_count = total_count;
	}

	public int getItem_count() {
		return item_count;
	}

	public void setItem_count(int item_count) {
		this.item_count = item_count;
	}

	public List<MaterialItem> getItem() {
		return item;
	}

	public void setItem(List<MaterialItem> item) {
		this.item = item;
	}

	public String getFile_name() {
		return file_name;
	}

	public void setFile_name(String file_name) {
		this.file_name = file_name;
	}

	public class MaterialItem {
		private String media_id;
		private String name;
		private Long update_time;
		private String url;

		public String getMedia_id() {
			return media_id;
		}

		public void setMedia_id(String media_id) {
			this.media_id = media_id;
		}

		public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}

		public Long getUpdate_time() {
			return update_time;
		}

		public void setUpdate_time(Long update_time) {
			this.update_time = update_time;
		}

		public String getUrl() {
			return url;
		}

		public void setUrl(String url) {
			this.url = url;
		}

	}
}
